@ECHO OFF
@BREAK OFF
REM ----------
REM Title:    UltraSound CD-ROM Menu
REM Purpose:  Allow the user to select what software they
REM           wish to install.
REM USAGE:
REM   CHOOSER Returns error level of number user pressed (1-9,A-Z)
REM
REM Modified: 95/04/14 - Add Adobe Acrobat & Gravis Manuals
REM           JRS 1.1    Add 1,8 & 24 bit Images of Gravis Products
REM                      Update BBSFILES directory with
REM                      One install for English, German & UltraSound Exp
REM                      Remove ROTT - Banned in Germany
REM ----------

:START
CLS
ECHO  ͻ
ECHO                   Gravis UltraSound CD-ROM Installer                    
ECHO                               Version 1.1                               
ECHO                                                                         
ECHO    (1) View the README (Do this first)                                  
ECHO    (2) UltraSound Experience CD-ROM Demo (Windows)                      
ECHO    (3) View BBS file listing                                            
ECHO                                                                         
ECHO    UltraSound Software Installation                                     
ECHO     (4) UltraSound, UltraSound MAX and ACE software                     
IF NOT EXIST HOWLING\INSTALL.EXE GOTO NOHOWL
ECHO     (5) Power Chords Debut plus demos of other Howling Dog products     
:NOHOWL
IF NOT EXIST MIDISOFT\DISK1\SETUP.EXE GOTO NOMIDISOFT
ECHO     (6) Midisoft Recording Session and Sound Impression                 
:NOMIDISOFT
ECHO                                                                         
ECHO    Shareware games that support UltraSound                              
ECHO    *(A) DOOM Episode 1                (B) Raptor: Call of the Shadows   
ECHO     (C) Wacky Wheels                  (D) Epic Pinball - Super Android  
ECHO     (E) Hocus Pocus                   (F) Jazz Jackrabbit               
ECHO     (G) One Must Fall:2097            (H) Boppin                        
ECHO                                  * Not available with German UltraSound 
ECHO                                                                         
ECHO    (0) Exit                                                             
ECHO    Press the letter of the item you wish to select? (0-6,A-H)           
ECHO  ͼ
:SELECT
UTILS\CHOOSER
ECHO   
ECHO One moment please...
IF ERRORLEVEL 17 GOTO BOPPIN
IF ERRORLEVEL 16 GOTO OMF
IF ERRORLEVEL 15 GOTO JAZZ
IF ERRORLEVEL 14 GOTO HOCUS
IF ERRORLEVEL 13 GOTO PINBALL
IF ERRORLEVEL 12 GOTO WACKY
IF ERRORLEVEL 11 GOTO RAPTOR
IF ERRORLEVEL 10 GOTO DOOM
IF ERRORLEVEL 7  GOTO SELECT
IF ERRORLEVEL 6  GOTO GOMIDISOFT
IF ERRORLEVEL 5  GOTO GOHOWL
IF ERRORLEVEL 4  ULTRASND\INSTALL.EXE
IF ERRORLEVEL 3  README BBSFILES\GRAVIS.LST
IF ERRORLEVEL 2  ULTRAEXP\SETUP.EXE
IF ERRORLEVEL 1  GOTO README
IF ERRORLEVEL 0  GOTO STOP
GOTO EXIT

REM -----
REM  DOOM Episode 1
REM -----
:DOOM
IF NOT EXIST DOOM\INSTALL.BAT GOTO START
CD DOOM
INSTALL.BAT
CD\
GOTO STOP

REM -----
REM  Raptor
REM -----
:RAPTOR
CD GAMES\RAPTOR
INSTALL.BAT
CD\
GOTO STOP

REM -----
REM  Wacky Wheels
REM -----
:WACKY
CD GAMES\WACKY
INSTALL.EXE
GOTO STOP

REM -----
REM  Epic Pinball
REM -----
:PINBALL
CD GAMES\PINBALL
INSTALL.EXE
CD\
GOTO STOP

REM -----
REM  Hocus Pocus
REM -----
:HOCUS
CD GAMES\HOCUS
INSTALL.BAT
CD\
GOTO STOP

REM -----
REM  Jazz Jack Rabbit
REM -----
:JAZZ
CD GAMES\JAZZ
INSTALL.EXE
CD\
GOTO STOP

REM -----
REM  One Must Fall
REM -----
:OMF
CD GAMES\OMF
INSTALL.EXE
CD\
GOTO STOP

REM -----
REM  Boppin
REM -----
:BOPPIN
CD GAMES\BOPPIN
INSTALL.EXE
CD\
GOTO STOP

REM -----
REM  View Readme
REM -----
:README
README.EXE
GOTO START

REM -----
REM  Install Howling Dogs Software
REM -----
:GOHOWL
IF NOT EXIST HOWLING\INSTALL.EXE GOTO START
HOWLING\INSTALL.EXE
GOTO STOP

REM -----
REM  Install MidiSoft Software
REM -----
:GOMIDISOFT
IF NOT EXIST MIDISOFT\DISK1\SETUP.EXE GOTO START
MIDISOFT\DISK1\SETUP.EXE
GOTO STOP

:STOP
CLS

:EXIT
